<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Sophia After Dark
 * @since 1.0.0
 */

$archive_style = get_theme_mod( 'sophia_after_dark_archive_style', 'mt-archive--masonry-style' );
get_header();
?>
<div class="mt-page-content-wrapper">
	<div id="primary" class="content-area" itemscope itemtype="https://schema.org/CollectionPage">
		<main id="main" class="site-main" role="main" aria-label="<?php esc_attr_e( 'Archive Content', 'sophia-after-dark' ); ?>">

			<?php if ( 'mt-archive--block-grid-style' === $archive_style ) : ?>
				<div class="archive-grid-post-wrapper">
			<?php endif; ?>

			<?php if ( have_posts() ) : ?>

				<?php if ( 'mt-archive--masonry-style' === $archive_style ) : ?>
					<div class="sophia-after-dark-content-masonry">
						<div id="mt-masonry">
				<?php endif; ?>

				<?php
				// Start the Loop
				while ( have_posts() ) :
					the_post();

					// Load post template part
					get_template_part( 'template-parts/content', get_post_type() );

				endwhile;
				?>

				<?php if ( 'mt-archive--masonry-style' === $archive_style ) : ?>
						</div><!-- #mt-masonry -->
					</div><!-- .sophia-after-dark-content-masonry -->
				<?php endif; ?>

				<?php
				// Archive pagination
				the_posts_pagination( array(
					'prev_text' => __( 'Previous', 'sophia-after-dark' ),
					'next_text' => __( 'Next', 'sophia-after-dark' ),
					'before_page_number' => '<span class="screen-reader-text">' . esc_html__( 'Page', 'sophia-after-dark' ) . ' </span>',
				) );
				?>

			<?php else : ?>

				<?php get_template_part( 'template-parts/content', 'none' ); ?>

			<?php endif; ?>

			<?php if ( 'mt-archive--block-grid-style' === $archive_style ) : ?>
				</div><!-- .archive-grid-post-wrapper -->
			<?php endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

	<?php get_sidebar(); ?>
</div><!-- .mt-page-content-wrapper -->

<?php get_footer(); ?>
