<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Sophia After Dark
 * @since 1.0.0
 */
$archive_style = get_theme_mod( 'sophia_after_dark_archive_style', 'mt-archive--masonry-style' );
get_header();
?>
<div class="mt-page-content-wrapper">
	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main" aria-label="<?php esc_attr_e( 'Search Results', 'sophia-after-dark' ); ?>">

			<?php
			if ( 'mt-archive--block-grid-style' === $archive_style ) {
				echo '<div class="archive-grid-post-wrapper">';
			}

			if ( have_posts() ) :
				if ( 'mt-archive--masonry-style' === $archive_style ) :
			?>
					<div class="sophia-after-dark-content-masonry">
						<div id="mt-masonry">
			<?php
				endif;

				/* Start the Loop */
				while ( have_posts() ) :
					the_post();
					get_template_part( 'template-parts/content', 'search' );
				endwhile;

				if ( 'mt-archive--masonry-style' === $archive_style ) :
			?>
						</div><!-- #mt-masonry -->
					</div><!-- .sophia-after-dark-content-masonry -->
			<?php
				endif;

				the_posts_pagination();

			else :
				get_template_part( 'template-parts/content', 'none' );

			endif;

			if ( 'mt-archive--block-grid-style' === $archive_style ) {
				echo '</div><!-- .archive-grid-post-wrapper -->';
			}
			?>

		</main><!-- #main -->
	</section><!-- #primary -->

	<?php get_sidebar(); ?>
</div><!-- .mt-page-content-wrapper -->

<?php
get_footer();
